diff options
author | Jim Meyering <meyering@redhat.com> | 2011-06-14 16:22:41 +0200 |
---|---|---|
committer | Jim Meyering <meyering@redhat.com> | 2011-06-17 09:17:37 +0200 |
commit | 2e580ca741b83202e6b22e0bb58b18101a443bd8 (patch) | |
tree | 790f68faa9a1d05898f71be8bdeee1b574ec2bb2 /tests/tail-2 | |
parent | 13672ec3211a5a77caf16dc24b83100d57e2a2ec (diff) | |
download | coreutils-2e580ca741b83202e6b22e0bb58b18101a443bd8.tar.xz |
tests: remove skip_test_ function; use new skip_ instead
* tests/init.cfg (skip_test_): Remove function.
Use skip_ in place of skip_test_ everywhere else.
* cfg.mk (sc_prohibit_skip_): Remove rule.
* tests/**: Use skip_, not skip_test_, everywhere.
Diffstat (limited to 'tests/tail-2')
-rwxr-xr-x | tests/tail-2/append-only | 2 | ||||
-rwxr-xr-x | tests/tail-2/big-4gb | 2 | ||||
-rwxr-xr-x | tests/tail-2/inotify-race | 4 | ||||
-rwxr-xr-x | tests/tail-2/pid | 2 |
4 files changed, 5 insertions, 5 deletions
diff --git a/tests/tail-2/append-only b/tests/tail-2/append-only index ba55fcf7d..1457b1352 100755 --- a/tests/tail-2/append-only +++ b/tests/tail-2/append-only @@ -28,7 +28,7 @@ chattr +a f 2>/dev/null || chattr_a_works=0 echo x >> f || chattr_a_works=0 if test $chattr_a_works = 0; then - skip_test_ "chattr +a doesn't work on this file system" + skip_ "chattr +a doesn't work on this file system" fi diff --git a/tests/tail-2/big-4gb b/tests/tail-2/big-4gb index 08897135f..11faed5fb 100755 --- a/tests/tail-2/big-4gb +++ b/tests/tail-2/big-4gb @@ -31,7 +31,7 @@ echo 87654321 | tr -d '\n' > tmp || framework_failure dd bs=1 seek=4294967288 if=tmp of=big 2> err || dd_failed=1 if test "$dd_failed" = 1; then cat err 1>&2 - skip_test_ \ + skip_ \ 'cannot create a file large enough for this test, possibly because this system does not support large files; Consider rerunning this test on a different file system.' diff --git a/tests/tail-2/inotify-race b/tests/tail-2/inotify-race index 7e2310022..b88b8473c 100755 --- a/tests/tail-2/inotify-race +++ b/tests/tail-2/inotify-race @@ -34,7 +34,7 @@ touch tail.out || framework_failure ( timeout 10s gdb --version ) > gdb.out 2>&1 case $(cat gdb.out) in *'GNU gdb'*) ;; - *) skip_test_ "can't run gdb";; + *) skip_ "can't run gdb";; esac # See if gdb works and @@ -48,7 +48,7 @@ timeout 10s gdb -nx --batch-silent \ # FIXME: The above is seen to _intermittently_ fail with: # warning: .dynamic section for "/lib/libc.so.6" is not at the expected address # warning: difference appears to be caused by prelink, adjusting expectations -test -s gdb.out && { cat gdb.out; skip_test_ "can't set breakpoints in tail"; } +test -s gdb.out && { cat gdb.out; skip_ "can't set breakpoints in tail"; } # Run "tail -f file", stopping to append a line just before # inotify initialization, and then continue. Before the fix, diff --git a/tests/tail-2/pid b/tests/tail-2/pid index 6aba74948..f75c3deb2 100755 --- a/tests/tail-2/pid +++ b/tests/tail-2/pid @@ -40,7 +40,7 @@ for inotify in ---disable-inotify ''; do # Use an unlikely-to-be-live PID timeout 10 tail -f -s.1 --pid=$PID_T_MAX $inotify empty ret=$? - test $ret = 124 && skip_test_ "pid $PID_T_MAX present or tail too slow" + test $ret = 124 && skip_ "pid $PID_T_MAX present or tail too slow" test $ret = 0 || fail=1 # Ensure tail doesn't wait for data when PID is dead |